# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
abcde_sword = Weapon(
        name = JTxt('Abcde Sword','#970FA6', True, underlined = True, obfuscated = True, translate = False),
        lore = Lore([
            JPar(['This is some lore, duh. ','And this is also some more.'], obfuscated = True, translate = False) ]),
        model = '3101',
        rank = 's',
        stats = Stats([ Stat('dmg', 3.666), Stat('dmg', 6.66 ,'hand'), Stat('attack_speed', -3.33 ,'hand'), Stat('hp', -6.66 ,'hand'), Stat('speed', -0.0666 ,'hand'), Stat('curse', 6.66) ]),
        price = 24,
        )
trident = Weapon(
        id = "trident",
        name = JTxt('trident.name','#1BB591', True, underlined = True),
        lore = Lore([
            JPar(['trident.l0','trident.l1']),
            JPar([ JLine(['enchant.loyalty.name',' I'], 'gray') ]) ]),
        model = '3102',
        rank = 's',
        stats = Stats([ Stat('dmg', 7.2, 'hand'), Stat('attack_speed', -2.6 ,'hand') ]),
        price = 22,
        other = 'Enchantments:[{id:"minecraft:loyalty",lvl:1s}]'
        )
paladin_sword = Weapon(
        name = JTxt('paladin_sword.name','#EDE60E', True, underlined = True),
        lore = Lore([
            JPar(['paladin_sword.l0','paladin_sword.l1','paladin_sword.l2']) ]),
        model = '3103',
        rank = 's',
        stats = Stats([ Stat('dmg', 6.3 ,'hand'), Stat('attack_speed', -2.4 ,'hand'), Stat('hp', 4 ), Stat('armor', 2 ) ]),
        bought = True
        )
sword_of_fathoms = Weapon(
        name = JTxt('sword_of_fathoms.name','#FCDC0D', True, underlined = True),
        lore = Lore([
            JPar(['sword_of_fathoms.l0','sword_of_fathoms.l1','sword_of_fathoms.l2','sword_of_fathoms.l3']),
            JPar([
                JLine([ JTxt('enchant.hexblade.name', 'gray'), 'enchant.hexblade.l0'], 'dark_gray', italic=True),
                'enchant.hexblade.l1','enchant.hexblade.l2','enchant.hexblade.l3'
            ], 'dark_gray', italic=True)
        ]),
        model = '3104',
        rank = 's',
        stats = Stats([ Stat('dmg', 7 ,'hand'), Stat('attack_speed', -2.2 ,'hand'), Stat('curse', 2 ) ]),
        other = 'Enchantments:[{}]',
        price = 20,
        custom_on = True,
        custom_off = True
        )
soul_sword = Weapon(
        name = JTxt('soul_sword_i.name','#0ABFB9', True, underlined = True),
        lore = Lore([
            JPar(['soul_sword.l0','soul_sword_i.l1']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3105',
        rank = 's',
        stats = Stats([ Stat('dmg', 4, 'hand'), Stat('attack_speed', -2.5, 'hand'), Stat('curse', 0.5), Stat('souls_capacity', 1) ]),
        price = 22,
        other = 'soul_sword:1'
    )
unstable_sword = Weapon(
        name = JTxt('unstable_sword.name','#F0E9D5', True, underlined = True),
        lore = Lore([
            JPar(['unstable_sword.l0','unstable_sword.l1']),
            JPar([
                JLine([ JTxt('enchant.explode.name', 'gray'), 'enchant.explode.l0'], 'dark_gray', italic=True),
                'enchant.explode.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3110',
        rank = 's',
        stats = Stats([ Stat('dmg', 6, 'hand'), Stat('attack_speed', -2.4, 'hand'), Stat('curse', 1) ]),
        other = 'Enchantments:[{}]',
        price = 18
        )

s = [abcde_sword, trident, paladin_sword, sword_of_fathoms, soul_sword, unstable_sword]

# --------- A --------------
holy_sword = Weapon(
        name = JTxt('holy_sword.name','gold', True, underlined = True),
        lore = Lore([
            JPar(['holy_sword.l0','holy_sword.l1']),
            JPar([
                JLine([ JTxt('enchant.purify.name', 'gray'), 'enchant.purify.l0'], 'dark_gray', italic=True)
            ], 'dark_gray', italic=True)
        ]),
        model = '3201',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6.4 ,'hand'), Stat('attack_speed', -2.3 ,'hand'), Stat('curse', 2.5) ]),
        price = 18,
        other = 'Enchantments:[{}]'
        )
ice_sword = Weapon(
        name = JTxt('ice_sword.name','#33EEF5', True, underlined = True),
        lore = Lore([
            JPar(['ice_sword.l0','ice_sword.l1','ice_sword.l2']),
            JPar([
                JLine([ JTxt('enchant.wfreezing.name', 'gray'), 'enchant.wfreezing.l0',], 'dark_gray', italic=True),
                'enchant.wfreezing.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3202',
        rank = 'a',
        custom_on = True,
        stats = Stats([ Stat('dmg', 6.2 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        price = 20,
        other = 'Enchantments:[{}]'
        )
katana = Weapon(
        name = JTxt('katana.name','#CCE4E8', True, underlined = True),
        lore = Lore([
            JPar(['katana.l0','katana.l1']),
            JPar([ JLine(['enchant.sweeping_edge.name',' I'], 'gray') ]) ]),
        model = '3203',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6.3 ,'hand'), Stat('attack_speed', -2.1 ,'hand'), Stat('speed', 0.018, 'hand') ]),
        other = 'Enchantments:[{id:"minecraft:sweeping",lvl:1s}]',
        bought = True
        )
emerald_sword = Weapon(
        name = JTxt('emerald_sword.name','#08D416', True, underlined = True),
        lore = Lore([
            JPar(['emerald_sword.l0']),
            JPar([
                JLine([ JTxt('enchant.greed_luck.name', 'gray'), 'enchant.greed_luck.l0'], 'dark_gray', italic=True)
            ], 'dark_gray', italic=True)
        ]),
        model = '3204',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6 ,'hand'), Stat('attack_speed', -2.4 ,'hand'), Stat('curse', 1) ]),
        other = 'Enchantments:[{}]',
        price = 15
        )
crystal_sword = Weapon(
        name = JTxt('crystal_sword.name','#D190DE', True, underlined = True),
        lore = Lore([
            JPar(['crystal_sword.l0','crystal_sword.l1']),
            JPar([
                JLine([ JTxt('enchant.brittle.name', 'gray'), 'enchant.brittle.l0'], 'dark_gray', italic=True),
                'enchant.brittle.l1','enchant.brittle.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3205',
        rank = 'a',
        stats = Stats([ Stat('dmg', 7 ,'hand'), Stat('attack_speed', -2.6 ,'hand'), Stat('curse', 1.5) ]),
        other = 'Enchantments:[{}]',
        bought = True
        )
dark_mace = Weapon(
        name = JTxt('dark_mace.name','#970FA6', True, underlined = True),
        lore = Lore([
            JPar(['dark_mace.l0','dark_mace.l1']),
            JPar([
                JLine([ JTxt('enchant.weaken.name', 'gray'), 'enchant.weaken.l0'], 'dark_gray', italic=True),
                'enchant.weaken.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3206',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6.5 ,'hand'), Stat('attack_speed', -2.6 ,'hand'), Stat('curse', 1 ,'hand'), Stat('speed', -0.015 ,'hand') ]),
        other = 'Enchantments:[{}]',
        price = 10
        )

a = [holy_sword, ice_sword, katana, emerald_sword, crystal_sword, dark_mace]

# --------- B --------------
lightsaber = Weapon(
        name = JTxt('lightsaber.name','#58DE0B', True, underlined = True),
        lore = Lore([
            JPar(['lightsaber.l0']),
            JPar([
                JLine([ JTxt('enchant.burning_slash.name', 'gray'), 'enchant.burning_slash.l0'], 'dark_gray', italic=True)
            ], 'dark_gray', italic=True)
        ]),
        model = '3301',
        rank = 'b',
        stats = Stats([ Stat('dmg', 5.3 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        price = 11,
        other = 'Enchantments:[{}]'
        )
long_sword = Weapon(
        name = JTxt('long_sword.name','gray', True, underlined = True),
        lore = Lore([
            JPar(['long_sword.l0','long_sword.l1']),
            JPar([ JLine(['enchant.sweeping_edge.name', ' III'], 'gray') ]) ]),
        model = '3302',
        rank = 'b',
        stats = Stats([ Stat('dmg', 5.6 ,'hand'), Stat('attack_speed', -2.5 ,'hand'), Stat('speed', -0.004, 'hand' ) ]),
        price = 13,
        other = 'Enchantments:[{id:"minecraft:sweeping",lvl:3s}]'
        )
lightning_hammer = Weapon(
        name = JTxt('lightning_hammer.name','gold', True, underlined = True),
        lore = Lore([
            JPar(["lightning_hammer.l0"]),
            JPar([
                JLine([ JTxt('enchant.electrifying.name', 'gray'), 'enchant.electrifying.l0'], 'dark_gray', italic=True),
                'enchant.electrifying.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3303',
        rank = 'b',
        custom_on = True,
        stats = Stats([ Stat('dmg', 5.5 ,'hand'), Stat('attack_speed', -2.6 ,'hand'), Stat('speed', -0.007, 'hand' ) ]),
        price = 14,
        other = 'Enchantments:[{}]'
        )
falchion = Weapon(
        name = JTxt('falchion.name','#CCE4E8', True, underlined = True),
        lore = Lore([
                JPar(["falchion.l0"]), ]),
        model = '3304',
        rank = 'b',
        stats = Stats([ Stat('dmg', 5.7 ,'hand'), Stat('attack_speed', -2.2 ,'hand'), ]),
        bought = True
        )
coin_sword = Weapon(
        id = 'golden_sword',
        name = JTxt('coin_sword.name','#ffeb14', True, underlined = True),
        lore = Lore([
            JPar(['coin_sword.l0','coin_sword.l1','coin_sword.l2']),
            JPar([
                JLine([ JTxt('enchant.greed_smite.name', 'gray'), 'enchant.greed_smite.l0'], 'dark_gray', italic=True),
                'enchant.greed_smite.l1','enchant.greed_smite.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3305',
        rank = 'b',
        stats = Stats([ Stat('dmg', 3 ,'hand'), Stat('attack_speed', -2.2 ,'hand'), Stat('curse', 1.5 ) ]),
        other = 'Enchantments:[{}]',
        price = 14,
        set = 'greed_set'
        )
doubble_bladed_glaive = Weapon(
        name = JTxt('doubble_bladed_glaive.name','#D9D3BF', True, underlined = True),
        lore = Lore([
            JPar(['doubble_bladed_glaive.l0','doubble_bladed_glaive.l1']),
            JPar([
                JLine([ JTxt('enchant.back_reach.name', 'gray'), 'enchant.back_reach.l0'], 'dark_gray', italic=True),
                'enchant.back_reach.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3306',
        rank = 'b',
        stats = Stats([ Stat('dmg', 5.5 ,'hand'), Stat('attack_speed', -2.3 ,'hand') ]),
        other = 'Enchantments:[{}]',
        price = 10
        )

b = [lightsaber, long_sword, lightning_hammer, falchion, coin_sword, doubble_bladed_glaive]

# --------- C --------------
wierd_feather = Weapon(
        name = JTxt('wierd_feather.name','#F0E9D5', True, underlined = True),
        lore = Lore([
            JPar(['wierd_feather.l0','wierd_feather.l1']),
            JPar([
                JLine([ JTxt('enchant.gravity.name', 'gray'), 'enchant.gravity.l0'], 'dark_gray', italic=True),
                'enchant.gravity.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3401',
        rank = 'c',
        stats = Stats([ Stat('dmg', 3.6, 'hand'), Stat('attack_speed', -1.7, 'hand'), Stat('speed', 0.012) ]),
        other = 'Enchantments:[{}]',
        bought = True,
        custom_on = True
        )
battle_axe = Weapon(
        name = JTxt('battle_axe.name','#966285', True, underlined = True),
        lore = Lore([
                JPar(['battle_axe.l0']),
                JPar([ JLine(['enchant.knockback.name',' I'], 'gray') ]) ]),
        model = '3402',
        rank = 'c',
        stats = Stats([ Stat('dmg', 5.9 ,'hand'), Stat('attack_speed', -2.8 ,'hand'), Stat('speed', -0.018 ,'hand') ]),
        price = 8,
        other = 'Enchantments:[{id:"minecraft:knockback",lvl:1s}]'
        )
iron_spear = Item(
        id = "flint",
        Itype = "weapon",
        name = JTxt('iron_spear.name','#D9D3BF', True, underlined = True),
        lore = Lore([
            JPar(['iron_spear.l0','iron_spear.l1']),
            JPar([
                JLine([ JTxt('enchant.piercing.name', 'gray'), JTxt('III ', 'gray'), 'enchant.piercing.l0'], 'dark_gray', italic=True),
                'enchant.piercing.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3002',
        rank = 'c',
        stats = Stats([ Stat('dmg', 4.5 ,'hand'), Stat('attack_speed', -2.3 ,'hand'), Stat('speed', -0.006 ,'hand') ]),
        other = 'Enchantments:[{}]',
        price = 6
        )
blazing_sword = Weapon(
        name = JTxt('blazing_sword.name','#FCDC0D', True, underlined = True),
        lore = Lore([
            JPar(['blazing_sword.l0','blazing_sword.l1','blazing_sword.l2']),
            JPar ([JLine(['enchant.fire_aspect.name',' II'], 'gray') ]) ]),
        model = '3403',
        rank = 'c',
        stats = Stats([ Stat('dmg', 4.7 ,'hand'), Stat('attack_speed', -2.3 ,'hand') ]),
        bought = True,
        other = 'Enchantments:[{id:"minecraft:fire_aspect",lvl:2s}]'
        )
berserker_sword = Weapon(
        name = JTxt('berserker_sword.name','red', True, underlined = True),
        lore = Lore([
            JPar(['berserker_sword.l0','berserker_sword.l1']),
            JPar([
                JLine([ JTxt('enchant.bloor_rage.name', 'gray'), 'enchant.bloor_rage.l0'], 'dark_gray', italic=True),
                'enchant.bloor_rage.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3404',
        rank = 'c',
            stats = Stats([ Stat('dmg', 4.5 ,'hand'), Stat('attack_speed', -2.6 ,'hand'), Stat('speed', -0.015 ,'hand') ]),
        price = 8,
        other = 'Enchantments:[{}]',
        set = 'berserker_set'
        )
cactus_sword = Weapon(
        name = JTxt('cactus_sword.name','#21E00B', True, underlined = True),
        lore = Lore([
                JPar(["cactus_sword.l0"]),
                JPar([
                    JLine([ JTxt('enchant.spiky.name', 'gray'), 'enchant.spiky.l0'], 'dark_gray', italic=True),
                    'enchant.spiky.l1'
                ], 'dark_gray', italic=True)
            ]),
        model = '3405',
        rank = 'c',
        stats = Stats([ Stat('dmg', 6 ,'hand'), Stat('attack_speed', -2.2 ,'hand'), ]),
        other = 'Enchantments:[{}]',
        bought = True,
        set = 'cactus_set'
        )

c = [battle_axe, iron_spear, blazing_sword, berserker_sword, wierd_feather, cactus_sword]

# --------- D --------------
beginners_sword = Weapon(
        name = JTxt('beginners_sword.name','#996B02', True, underlined = True),
        lore = Lore([ JPar(['beginners_sword.l0']) ]),
        model = '3501',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4 ,'hand'), Stat('attack_speed', -2.4 ,'hand') ]),
        holder = False,
        bought = True
        )
slap_fish = Weapon(
        name = JTxt('slap_fish.name','#5FC9D9', True, underlined = True),
        lore = Lore([
            JPar(["slap_fish.l0"]),
            JPar([ JLine(['enchant.knockback.name',' III'], 'gray') ]) ]),
        model = '3502',
        rank = 'd',
        stats = Stats([ Stat('dmg', 2 ,'hand'), Stat('attack_speed', -1.9 ,'hand') ]),
        other = 'Enchantments:[{id:"minecraft:knockback",lvl:3s}]',
        bought = True
        )
miner_pickaxe = Item(
        id = "flint",
        Itype = "weapon",
        name = JTxt('miner_picaxe.name','#EBE5D1', True, underlined = True),
        lore = Lore([ JPar(['miner_picaxe.l0','miner_picaxe.l1']) ]),
        model = '3003',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4.7 ,'hand'), Stat('attack_speed', -2.5 ,'hand') ]),
        bought = True
        )
spear = Item(
        id = "flint",
        Itype = "weapon",
        name = JTxt('spear.name','#B57F02', True, underlined = True),
        lore = Lore([
            JPar(['iron_spear.l0','iron_spear.l1']),
            JPar([
                JLine([ JTxt('enchant.piercing.name', 'gray'), JTxt('I ', 'gray'), 'enchant.piercing.l0'], 'dark_gray', italic=True),
                'enchant.piercing.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3001',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4.2 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        other = 'Enchantments:[{}]',
        bought = True
        )
big_spoon = Weapon(
        name = JTxt('big_spoon.name','#F0E9D5', True, underlined = True),
        lore = Lore([
            JPar(['big_spoon.l0','big_spoon.l1']),
            JPar([
                JLine([ JTxt('enchant.gluttony.name', 'gray'), 'enchant.gluttony.l0'], 'dark_gray', italic=True),
                'enchant.gluttony.l1'
            ], 'dark_gray', italic=True)
        ]),
        model = '3503',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4.4, 'hand'), Stat('attack_speed', -2.5, 'hand'), Stat('curse', 0.75) ]),
        other = 'Enchantments:[{}]',
        price = 20
        )
small_dagger = Weapon(
        name = JTxt('small_dagger.name','#D9D3BF', True, underlined = True),
        lore = Lore([ JPar(['small_dagger.l0']) ]),
        model = '3504',
        rank = 'd',
        stats = Stats([ Stat('dmg', 3.7 ,'hand'), Stat('attack_speed', -1.8 ,'hand'), Stat('speed', 0.008 ,'hand') ]),
        bought = True
        )


d = [slap_fish, miner_pickaxe, spear, big_spoon, small_dagger]
d = d + [beginners_sword]

# --------------------------
broken_crystal_sword = Weapon(
        name = JTxt('broken_crystal_sword.name','#D190DE', True, underlined = True),
        lore = Lore([
            JPar(['broken_crystal_sword.l0','broken_crystal_sword.l1']),
            JPar([
                JLine([ JTxt('enchant.brittle.name', 'gray'), 'enchant.brittle.l0'], 'dark_gray', italic=True),
                'enchant.brittle.l1','enchant.brittle.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3003',
        rank = 'a',
        stats = Stats([ Stat('dmg', 4 ,'hand'), Stat('attack_speed', -2 ,'hand'), Stat('curse', 1.5) ]),
        other = 'Enchantments:[{}]',
        bought = True,
        holder = False,
        book = False
    )
soul_sword_II = Weapon(
        name = JTxt('soul_sword_ii.name','#0ABFB9', True, underlined = True),
        lore = Lore([
            JPar(['soul_sword.l0','soul_sword_ii.l1']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3106',
        rank = 's',
        stats = Stats([ Stat('dmg', 5 ,'hand'), Stat('attack_speed', -2.4 ,'hand'), Stat('curse', 1), Stat('souls_capacity', 1) ]),
        holder = False,
        book = False,
        bought = True,
        other = 'soul_sword:1'
    )
soul_sword_III = Weapon(
        name = JTxt('soul_sword_iii.name','#0ABFB9', True, underlined = True),
        lore = Lore([
            JPar(['soul_sword.l0','soul_sword_iii.l1']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3107',
        rank = 's',
        stats = Stats([ Stat('dmg', 6 ,'hand'), Stat('attack_speed', -2.3 ,'hand'), Stat('curse', 1.2), Stat('souls_capacity', 2) ]),
        holder = False,
        book = False,
        bought = True,
        other = 'soul_sword:1'
    )
soul_sword_IV = Weapon(
        name = JTxt('soul_sword_iv.name','#0ABFB9', True, underlined = True),
        lore = Lore([
            JPar(['soul_sword.l0','soul_sword_iv.l1']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3108',
        rank = 's',
        stats = Stats([ Stat('dmg', 7 ,'hand'), Stat('attack_speed', -2.2 ,'hand'), Stat('curse', 1.6), Stat('souls_capacity', 2) ]),
        holder = False,
        book = False,
        bought = True,
        other = 'soul_sword:1'
    )
soul_sword_V = Weapon(
        name = JTxt('soul_sword_v.name','#0ABFB9', True, underlined = True),
        lore = Lore([
            JPar(['soul_sword.l0','soul_sword_v.l1']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True)
        ]),
        model = '3109',
        rank = 's',
        stats = Stats([ Stat('dmg', 8 ,'hand'), Stat('attack_speed', -2 ,'hand'), Stat('curse', 2), Stat('souls_capacity', 2) ]),
        holder = False,
        book = False,
        bought = True,
        other = 'soul_sword:1'
    )
others = [broken_crystal_sword, soul_sword_II, soul_sword_III, soul_sword_IV, soul_sword_V]

weapons = s + a + b + c + d + others
